## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLBuilderDBProposal

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLDBProposal
          org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLBuilderDBProposal

    public class SQLBuilderDBProposal

extends SQLDBProposal

Content assist proposal that represents either a schema, table, or column.

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLDBProposal
`CATALOG_OBJTYPE, EVENT_OBJTYPE, FUNCTION_OBJTYPE, INDEX_OBJTYPE, SCHEMA_OBJTYPE, SEGMENT_OBJTYPE, STORED_PROCEDURE_OBJTYPE, TABLE_OBJTYPE, TABLEALIAS_OBJTYPE, TABLECOLUMN_OBJTYPE, TRIGGER_OBJTYPE, UNKNOWN_OBJTYPE`

Constructor Summary
`SQLBuilderDBProposal(org.eclipse.emf.ecore.EObject dbObject)` Constructs an instance of this object to represent the given database model object for purpose of a content assist proposal.

Method Summary
`java.lang.String` `getExtraInfo()` Gets the "extra info" associated with this object.
`java.lang.String` `getName()` Gets the name of the database object.
`void` `setExtraInfo(java.lang.String extraInfo)`
`void` `setName(java.lang.String name)` Sets the database object name of this database proposal to the given name.
`java.lang.String` `toString()` Gets a string describing this object.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLDBProposal
`getDBObject, getGrandGrandParentName, getGrandParentName, getImage, getParentAlias, getParentName, getParentObject, getType, setImage, setParentName, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLBuilderDBProposal

    public SQLBuilderDBProposal(org.eclipse.emf.ecore.EObject dbObject)

  Constructs an instance of this object to represent the given database model object for purpose of a content assist proposal. The database object can be one of `Schema`, `Table`, `Column`.

  Parameters:
    `dbObject` - the database model object
  See Also:
    `Schema`, `org.eclipse.datatools.modelbase.sql.schema.Table`, `org.eclipse.datatools.modelbase.sql.schema.Column`

Method Detail

### getExtraInfo

    public java.lang.String getExtraInfo()

  Gets the "extra info" associated with this object. (This is used for column datatype information.)

  Returns:
    the extra info for this object

### getName

    public java.lang.String getName()

  Gets the name of the database object. This overrides the superclass so we can use our own variable for the name with a "set" operation. (The name field in the superclass can only be set in the constructor.)

  Overrides:
    `getName` in class `SQLDBProposal`
  Returns:
    the name of the database object

### setExtraInfo

    public void setExtraInfo(java.lang.String extraInfo)

### setName

    public void setName(java.lang.String name)

  Sets the database object name of this database proposal to the given name.

  Overrides:
    `setName` in class `SQLDBProposal`
  Parameters:
    `name` - the name to use

### toString

    public java.lang.String toString()

  Gets a string describing this object. The name attribute of this object is returned.

  Overrides:
    `toString` in class `SQLDBProposal`
  Returns:
    the string describing this object.